Issue 55130 - Writer does not recognise templates without file extension
Summary: Writer does not recognise templates without file extension
Status: ACCEPTED
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: OOO 2.0 Beta2
Hardware: PC (x86_64) All
: P3 Trivial (vote)
Target Milestone: AOO Later
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
: 55816 (view as issue list)
Depends on:
Blocks:
 
Reported: 2005-09-27 13:05 UTC by idwal
Modified: 2013-07-30 02:35 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description idwal 2005-09-27 13:05:39 UTC
If a template is saved without the "ott" file extension and closed. Susequently,
when the template is next selected for use, Writer does not recognise the file
type and consequently asks for details of file type. If "ott" is added as the
file extension then writer will happily open the file with no other changes.
If a finished document (i.e. odt) is saved without the file extension then
writer will still recognise and open the file with no difficulty. I would expect
a template to be similarly recognised.
Comment 1 michael.ruess 2005-09-27 13:41:40 UTC
Framework issue.
Comment 2 thorsten.martens 2005-09-29 13:56:49 UTC
Reproducible in recent build (m130)
Comment 3 thorsten.martens 2005-10-12 13:58:48 UTC
After talked to AS this problem seems to be related to a wrong mimetype
detection while loading or missing/wrong mimetypes while saving these documents.
A correct mimetype-detection must be done within every single application.
Therefore clone-tasks of this one will be created.
Comment 4 thorsten.martens 2005-10-12 14:06:02 UTC
#i55816 - word processor
#i55818 - spreadsheet
#i55819 - draw/impress
Comment 5 andreas.schluens 2005-12-15 13:15:14 UTC
AS:
I've debugged the code and found out ...
there is a central method inside the sfx, which maps the mediatype of a storage to 
the corresponding type name requested by the type detection framework.
But this code is used for ALL our storage based document formats. And so it has 
to do some magic to solve the problem of our SO7-XML format. There the mime 
type of documents and templates was equals. And there only a set extensions can 
make it clear. As a result of that a SO7-XML-template will be detected as 
document always.

I will take over this task ...
The only solution I see here: make detection right for our newest formats (SO8) and 
map the mime type to an internal type name. But we have to decide how S=7 
template must be handled then. May be they wont be detected as templates any 
longer.

That's why it's clear, that this task shouldnt be fixed for any SO8 based build ... 
because a missing support for SO7 templates should be established for a newer 
office version (S09 !) only .-)
Comment 6 clippka 2005-12-19 12:24:43 UTC
does this mean the cloned tasks for the other applications are now useless?
Comment 7 andreas.schluens 2006-01-19 09:07:34 UTC
.
Comment 8 Oliver Specht 2006-06-20 13:51:01 UTC
*** Issue 55816 has been marked as a duplicate of this issue. ***
Comment 9 Rob Weir 2013-07-30 02:35:57 UTC
Reset assignee on issues not touched by assignee in more than 1000 days.